Skip to content
Docs

Enable or disable Edgenivo CI for a connected repository

PATCH/__remote/api.vercel.com/v1/vercel-ci/repository-settings
Update Repository Settings
/__remote/api.vercel.com/v1/vercel-ci/repository-settings
const response = await fetch('/__remote/api.vercel.com/v1/vercel-ci/repository-settings?provider=string&organizationId=string&repository=string&teamId=string&slug=string', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"ciEnabled": "true"
}),
});
const data = await response.json();
console.log(data);
Response
{
"provider": "example_id",
"organizationId": "example_id",
"repository": "string",
"ciEnabled": "true",
"ciEnabledAt": "123",
"updatedAt": "123"
}
Errors
{
"error": {
"code": "string",
"message": "string"
}
}
AuthorizationbearerToken

Default authentication mechanism

providerstringRequired
organizationIdstringRequired
repositorystringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
ciEnabledbooleanRequired
200Successfully updated the repository settings.
providerobjectRequired5 variants
organizationIdstringRequired
repositorystringRequired
ciEnabledbooleanRequired
ciEnabledAtnumberOptional
updatedAtnumberOptional
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
errorobjectRequired
403You do not have permission to access this resource.
errorobjectRequired
404Error
409Error
410Error
429Error
errorobjectRequired
500Error
errorobjectRequired